Move Compress::Raw::Zlib from ext/ to cpan/
[perl.git] / cpan / Compress-Raw-Zlib / t / 01version.t
1 BEGIN {
2     if ($ENV{PERL_CORE}) {
3         chdir 't' if -d 't';
4         @INC = ("../lib", "lib/compress");
5     }
6 }
7
8 use lib qw(t t/compress);
9 use strict ;
10 use warnings ;
11
12 use Test::More ;
13
14 BEGIN 
15
16     # use Test::NoWarnings, if available
17     my $extra = 0 ;
18     $extra = 1
19         if eval { require Test::NoWarnings ;  import Test::NoWarnings; 1 };
20
21     plan tests => 2 + $extra ;
22
23     use_ok('Compress::Raw::Zlib', 2) ; 
24 }
25
26 # Check zlib_version and ZLIB_VERSION are the same.
27
28 my $zlib_h = ZLIB_VERSION ;
29 my $libz   = Compress::Raw::Zlib::zlib_version;
30
31 is($zlib_h, $libz, "ZLIB_VERSION ($zlib_h) matches Compress::Raw::Zlib::zlib_version")
32     or diag <<EOM;
33
34 The version of zlib.h does not match the version of libz
35  
36 You have zlib.h version $zlib_h
37      and libz   version $libz
38  
39 You probably have two versions of zlib installed on your system.
40 Try removing the one you don't want to use and rebuild.
41 EOM
42